#/********************************************************************/
#/*                                                                  */
#/* Makefile Name: amqstxmn.mak                                      */
#/*                                                                  */
#/* Description: Makefile - WebSphere MQ sample transaction for Tuxedo*/
#/*                                                                  */
#/* Environment: Windows NT with Microsoft Visual C++                */
#/*              Makefile to be run as an external project makefile. */
#/*                                                                  */
#/* <START_COPYRIGHT>                                                */
#/* Licensed Materials - Property of IBM                             */
#/*                                                                  */      
#/* 47P8479, 5639-B43                                                */
#/*                                                                  */
#/* (C) Copyright IBM Corporation 1994, 2001 All Rights Reserved     */
#/* US Government Users Restricted Rights - Use, duplication or      */
#/* disclosure restricted by GSA ADP Schedule Contract with IBM Corp. */
#/*                                                                  */
#/* <END_COPYRIGHT>                                                  */
#/*                                                                  */
#/********************************************************************/
#
#/********************************************************************/
#/* Required Environment variables:                                  */
#/*    TUXDIR=<TUXDIR (see below)>                                   */
#/*    TUXCONFIG=<APPDIR (see below)>\tuxconfig                      */  
#/*    FIELDTBLS=<MQMDIR (see below)>\tools\c\samples\amqstxvx.fld   */
#/*    LANG=C                                                        */
#/********************************************************************/
#
#/********************************************************************/
#/* Modify following paths to match your installation:               */
#/*  TUXDIR is the directory specified when installing TUXEDO.       */
#/*  MQMDIR is the directory specified when installing WebSphere MQ. */
#/*  APPDIR is the directory into which the sample program is built. */
#/********************************************************************/
#/* NOTES:                                                           */
#/* 1) APPDIR should be the current directory when the makefile is   */
#/*    invoked, since viewc creates amqstxvx.h in current directory. */ 
#/* 2) APPDIR should contain a customised UBB file, ubbstxcn.cfg     */
#/* 3) The RM file in <TUXDIR>\udataobj requires the following       */
#/*    statement (as one line and replace <MQMDIR>):                 */
#/*  MQSeries_XA_RMI;MQRMIXASwitchDynamic;                           */
#/*     <MQMDIR>\tools\lib\mqmtux.lib <MQMDIR>\tools\lib\mqm.lib     */
#/********************************************************************/
TUXDIR  = f:\tuxedo
MQMDIR  = g:\mqm
APPDIR  = f:\tuxedo\apps\mqapp
#/********************************************************************/
#/*                                                                  */
#/********************************************************************/
MQMLIB  = $(MQMDIR)\tools\lib
MQMINC  = $(MQMDIR)\tools\c\include
MQMSAMP = $(MQMDIR)\tools\c\samples
INC = -f "-I$(MQMINC) -I$(APPDIR)"
DBG = -f "/Zi"
amqstx.exe:
 $(TUXDIR)\bin\mkfldhdr    -d$(APPDIR) $(MQMSAMP)\amqstxvx.fld
 $(TUXDIR)\bin\viewc       -d$(APPDIR) $(MQMSAMP)\amqstxvx.v 
 $(TUXDIR)\bin\buildtms    -o MQXA -r MQSeries_XA_RMI
 $(TUXDIR)\bin\buildserver -o MQSERV1 -f $(MQMSAMP)\amqstxsx.c        \
                           -f $(MQMLIB)\mqm.lib -v $(INC) $(DBG)      \
                           -r MQSeries_XA_RMI                         \
                           -s MPUT1:MPUT -s MGET1:MGET 
 $(TUXDIR)\bin\buildserver -o MQSERV2 -f $(MQMSAMP)\amqstxsx.c        \
                           -f $(MQMLIB)\mqm.lib -v $(INC) $(DBG)      \
                           -r MQSeries_XA_RMI                         \
                           -s MPUT2:MPUT -s MGET2:MGET 
 $(TUXDIR)\bin\buildclient -o doputs -f $(MQMSAMP)\amqstxpx.c         \
                           -f $(MQMLIB)\mqm.lib -v $(INC) $(DBG)
 $(TUXDIR)\bin\buildclient -o dogets -f $(MQMSAMP)\amqstxgx.c         \
                           -f $(MQMLIB)\mqm.lib $(INC) -v $(DBG)
 $(TUXDIR)\bin\tmloadcf    -y $(APPDIR)\ubbstxcn.cfg    
