 /********************************************************************/
 /*                                                                  */
 /*                  WebSphere MQ for Windows                        */
 /*                                                                  */
 /*  FILE NAME:      CMQXP                                           */
 /*                                                                  */
 /*  DESCRIPTION:    Structure and Constants for MQCD                */
 /*                                                                  */
 /********************************************************************/
 /*  @START_COPYRIGHT@                                               */
 /*  Licensed Materials - Property of IBM                            */
 /*                                                                  */
 /*  5724-B41                                                        */
 /*                                                                  */
 /*  (C) Copyright IBM Corporation 1993, 2002.                       */
 /*                                                                  */
 /*  Status: Version 5 Release 3                                     */
 /*  @END_COPYRIGHT@                                                 */
 /********************************************************************/
 /*                                                                  */
 /*  FUNCTION:       This file declares the structures and           */
 /*                  named constants for exits and MQCD.             */
 /*                                                                  */
 /*  PROCESSOR:      PL/I                                            */
 /*                                                                  */
 /********************************************************************/
                                                                       
 /********************************************************************/
 /*  Values Related to MQCD Structure                                */
 /********************************************************************/
                                                                       
 /* Structure Version Number */
 %dcl MQCD_VERSION_1       char;
 %dcl MQCD_VERSION_2       char;
 %dcl MQCD_VERSION_3       char;
 %dcl MQCD_VERSION_4       char;
 %dcl MQCD_VERSION_5       char;
 %dcl MQCD_VERSION_6       char;
 %dcl MQCD_VERSION_7       char;
 %dcl MQCD_CURRENT_VERSION char;
 %MQCD_VERSION_1       = '1';
 %MQCD_VERSION_2       = '2';
 %MQCD_VERSION_3       = '3';
 %MQCD_VERSION_4       = '4';
 %MQCD_VERSION_5       = '5';
 %MQCD_VERSION_6       = '6';
 %MQCD_VERSION_7       = '7';
 %MQCD_CURRENT_VERSION = '7';
                                                                       
 /* Channel Type */
 %dcl MQCHT_SENDER    char;
 %dcl MQCHT_SERVER    char;
 %dcl MQCHT_RECEIVER  char;
 %dcl MQCHT_REQUESTER char;
 %dcl MQCHT_ALL       char;
 %dcl MQCHT_CLNTCONN  char;
 %dcl MQCHT_SVRCONN   char;
 %dcl MQCHT_CLUSRCVR  char;
 %dcl MQCHT_CLUSSDR   char;
 %MQCHT_SENDER    = '1';
 %MQCHT_SERVER    = '2';
 %MQCHT_RECEIVER  = '3';
 %MQCHT_REQUESTER = '4';
 %MQCHT_ALL       = '5';
 %MQCHT_CLNTCONN  = '6';
 %MQCHT_SVRCONN   = '7';
 %MQCHT_CLUSRCVR  = '8';
 %MQCHT_CLUSSDR   = '9';
                                                                       
 /* Transport Type */
 %dcl MQXPT_LOCAL   char;
 %dcl MQXPT_LU62    char;
 %dcl MQXPT_TCP     char;
 %dcl MQXPT_NETBIOS char;
 %dcl MQXPT_SPX     char;
 %dcl MQXPT_DECNET  char;
 %dcl MQXPT_UDP     char;
 %MQXPT_LOCAL   = '0';
 %MQXPT_LU62    = '1';
 %MQXPT_TCP     = '2';
 %MQXPT_NETBIOS = '3';
 %MQXPT_SPX     = '4';
 %MQXPT_DECNET  = '5';
 %MQXPT_UDP     = '6';
                                                                       
 /* Put Authority */
 %dcl MQPA_DEFAULT          char;
 %dcl MQPA_CONTEXT          char;
 %dcl MQPA_ONLY_MCA         char;
 %dcl MQPA_ALTERNATE_OR_MCA char;
 %MQPA_DEFAULT          = '1';
 %MQPA_CONTEXT          = '2';
 %MQPA_ONLY_MCA         = '3';
 %MQPA_ALTERNATE_OR_MCA = '4';
                                                                       
 /* Channel Data Conversion */
 %dcl MQCDC_SENDER_CONVERSION    char;
 %dcl MQCDC_NO_SENDER_CONVERSION char;
 %MQCDC_SENDER_CONVERSION    = '1';
 %MQCDC_NO_SENDER_CONVERSION = '0';
                                                                       
 /* MCA Type */
 %dcl MQMCAT_PROCESS char;
 %dcl MQMCAT_THREAD  char;
 %MQMCAT_PROCESS = '1';
 %MQMCAT_THREAD  = '2';
                                                                       
 /* NonPersistent-Message Speed */
 %dcl MQNPMS_NORMAL char;
 %dcl MQNPMS_FAST   char;
 %MQNPMS_NORMAL = '1';
 %MQNPMS_FAST   = '2';
                                                                       
 /* Structure Length */
 %dcl MQCD_LENGTH_4       char;
 %dcl MQCD_LENGTH_5       char;
 %dcl MQCD_LENGTH_6       char;
 %dcl MQCD_LENGTH_7       char;
 %dcl MQCD_CURRENT_LENGTH char;
 %MQCD_LENGTH_4       = '1540';
 %MQCD_LENGTH_5       = '1552';
 %MQCD_LENGTH_6       = '1648';
 %MQCD_LENGTH_7       = '1748';
 %MQCD_CURRENT_LENGTH = '1748';
                                                                       
 /* SSL Client Authentication */
 %dcl MQSCA_REQUIRED char;
 %dcl MQSCA_OPTIONAL char;
 %MQSCA_REQUIRED = '0';
 %MQSCA_OPTIONAL = '1';
                                                                       
 /* KeepAlive Interval */
 %dcl MQKAI_AUTO char;
 %MQKAI_AUTO = '-1';
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCD Structure -- Channel Definition                            */
 /********************************************************************/
                                                                       
 dcl
  1 MQCD based,
   3 ChannelName            char(20)
       init(''),                           /* Channel definition
                                              name */
   3 Version                fixed bin(31)
       init(MQCD_CURRENT_VERSION),         /* Structure version
                                              number */
   3 ChannelType            fixed bin(31)
       init(MQCHT_SENDER),                 /* Channel type */
   3 TransportType          fixed bin(31)
       init(MQXPT_LU62),                   /* Transport type */
   3 Desc                   char(64)
       init(''),                           /* Channel description */
   3 QMgrName               char(48)
       init(''),                           /* Queue-manager name */
   3 XmitQName              char(48)
       init(''),                           /* Transmission queue
                                              name */
   3 ShortConnectionName    char(20)
       init(''),                           /* First 20 bytes of
                                              connection name */
   3 MCAName                char(20)
       init(''),                           /* Reserved */
   3 ModeName               char(8)
       init(''),                           /* LU 6.2 Mode name */
   3 TpName                 char(64)
       init(''),                           /* LU 6.2 transaction
                                              program name */
   3 BatchSize              fixed bin(31)
       init(50),                           /* Batch size */
   3 DiscInterval           fixed bin(31)
       init(6000),                         /* Disconnect interval */
   3 ShortRetryCount        fixed bin(31)
       init(10),                           /* Short retry count */
   3 ShortRetryInterval     fixed bin(31)
       init(60),                           /* Short retry wait
                                              interval */
   3 LongRetryCount         fixed bin(31)
       init(999999999),                    /* Long retry count */
   3 LongRetryInterval      fixed bin(31)
       init(1200),                         /* Long retry wait
                                              interval */
   3 SecurityExit           char(128)
       init(''),                           /* Channel security exit
                                              name */
   3 MsgExit                char(128)
       init(''),                           /* Channel message exit
                                              name */
   3 SendExit               char(128)
       init(''),                           /* Channel send exit name */
   3 ReceiveExit            char(128)
       init(''),                           /* Channel receive exit
                                              name */
   3 SeqNumberWrap          fixed bin(31)
       init(999999999),                    /* Highest allowable message
                                              sequence number */
   3 MaxMsgLength           fixed bin(31)
       init(4194304),                      /* Maximum message length */
   3 PutAuthority           fixed bin(31)
       init(MQPA_DEFAULT),                 /* Put authority */
   3 DataConversion         fixed bin(31)
       init(MQCDC_NO_SENDER_CONVERSION),   /* Data conversion */
   3 SecurityUserData       char(32)
       init(''),                           /* Channel security exit
                                              user data */
   3 MsgUserData            char(32)
       init(''),                           /* Channel message exit user
                                              data */
   3 SendUserData           char(32)
       init(''),                           /* Channel send exit user
                                              data */
   3 ReceiveUserData        char(32)
       init(''),                           /* Channel receive exit user
                                              data */
   3 UserIdentifier         char(12)
       init(''),                           /* User identifier */
   3 Password               char(12)
       init(''),                           /* Password */
   3 MCAUserIdentifier      char(12)
       init(''),                           /* First 12 bytes of MCA
                                              user identifier */
   3 MCAType                fixed bin(31)
       init(MQMCAT_PROCESS),               /* Message channel agent
                                              type */
   3 ConnectionName         char(264)
       init(''),                           /* Connection name */
   3 RemoteUserIdentifier   char(12)
       init(''),                           /* First 12 bytes of user
                                              identifier from
                                              partner */
   3 RemotePassword         char(12)
       init(''),                           /* Password from partner */
   3 MsgRetryExit           char(128)
       init(''),                           /* Channel message retry
                                              exit name */
   3 MsgRetryUserData       char(32)
       init(''),                           /* Channel message retry
                                              exit user data */
   3 MsgRetryCount          fixed bin(31)
       init(10),                           /* Number of times MCA will
                                              try to put the message,
                                              after the first attempt
                                              has failed */
   3 MsgRetryInterval       fixed bin(31)
       init(1000),                         /* Minimum interval in
                                              milliseconds after which
                                              the open or put operation
                                              will be retried */
   3 HeartbeatInterval      fixed bin(31)
       init(300),                          /* Time in seconds between
                                              heartbeat flows */
   3 BatchInterval          fixed bin(31)
       init(0),                            /* Batch duration */
   3 NonPersistentMsgSpeed  fixed bin(31)
       init(MQNPMS_FAST),                  /* Speed at which
                                              nonpersistent messages
                                              are sent */
   3 StrucLength            fixed bin(31)
       init(MQCD_CURRENT_LENGTH),          /* Length of MQCD
                                              structure */
   3 ExitNameLength         fixed bin(31)
       init(MQ_EXIT_NAME_LENGTH),          /* Length of exit name */
   3 ExitDataLength         fixed bin(31)
       init(MQ_EXIT_DATA_LENGTH),          /* Length of exit user
                                              data */
   3 MsgExitsDefined        fixed bin(31)
       init(0),                            /* Number of message exits
                                              defined */
   3 SendExitsDefined       fixed bin(31)
       init(0),                            /* Number of send exits
                                              defined */
   3 ReceiveExitsDefined    fixed bin(31)
       init(0),                            /* Number of receive exits
                                              defined */
   3 MsgExitPtr             pointer
       init(null()),                       /* Address of first MsgExit
                                              field */
   3 MsgUserDataPtr         pointer
       init(null()),                       /* Address of first
                                              MsgUserData field */
   3 SendExitPtr            pointer
       init(null()),                       /* Address of first SendExit
                                              field */
   3 SendUserDataPtr        pointer
       init(null()),                       /* Address of first
                                              SendUserData field */
   3 ReceiveExitPtr         pointer
       init(null()),                       /* Address of first
                                              ReceiveExit field */
   3 ReceiveUserDataPtr     pointer
       init(null()),                       /* Address of first
                                              ReceiveUserData field */
   3 ClusterPtr             pointer
       init(null()),                       /* Address of a list of
                                              cluster names */
   3 ClustersDefined        fixed bin(31)
       init(0),                            /* Number of clusters to
                                              which the channel
                                              belongs */
   3 NetworkPriority        fixed bin(31)
       init(0),                            /* Network priority */
   3 LongMCAUserIdLength    fixed bin(31)
       init(0),                            /* Length of long MCA user
                                              identifier */
   3 LongRemoteUserIdLength fixed bin(31)
       init(0),                            /* Length of long remote
                                              user identifier */
   3 LongMCAUserIdPtr       pointer
       init(null()),                       /* Address of long MCA user
                                              identifier */
   3 LongRemoteUserIdPtr    pointer
       init(null()),                       /* Address of long remote
                                              user identifier */
   3 MCASecurityId          char(40)
       init(MQSID_NONE),                   /* MCA security
                                              identifier */
   3 RemoteSecurityId       char(40)
       init(MQSID_NONE),                   /* Remote security
                                              identifier */
   3 SSLCipherSpec          char(32)
       init(''),                           /* SSL CipherSpec */
   3 SSLPeerNamePtr         pointer
       init(null()),                       /* Address of SSL peer
                                              name */
   3 SSLPeerNameLength      fixed bin(31)
       init(0),                            /* Length of SSL peer
                                              name */
   3 SSLClientAuth          fixed bin(31)
       init(MQSCA_REQUIRED),               /* Whether SSL client
                                              authentication is
                                              required */
   3 KeepAliveInterval      fixed bin(31)
       init(MQKAI_AUTO),                   /* Keepalive interval */
   3 LocalAddress           char(48)
       init(''),                           /* Local communications
                                              address */
   3 BatchHeartbeat         fixed bin(31)
       init(0);                            /* Batch heartbeat
                                              interval */
                                                                       
                                                                       
 /********************************************************************/
 /*  End of CMQXP                                                    */
 /********************************************************************/
