Attribute VB_Name = "CMQCFB"
Option Explicit
'**********************************************************************'
'*                                                                    *'
'*                  WebSphere MQ for Windows                          *'
'*                                                                    *'
'*  FILE NAME:      CMQCFB                                            *'
'*                                                                    *'
'*  DESCRIPTION:    Declarations for PCF and Events                   *'
'*                                                                    *'
'**********************************************************************'
'*  @START_COPYRIGHT@                                                 *'
'*  Licensed Materials - Property of IBM                              *'
'*                                                                    *'
'*  5724-B41                                                          *'
'*                                                                    *'
'*  (C) Copyright IBM Corporation 1999, 2002.                         *'
'*                                                                    *'
'*  Status: Version 5 Release 3                                       *'
'*  @END_COPYRIGHT@                                                   *'
'**********************************************************************'
'*                                                                    *'
'*  FUNCTION:       This file declares the structures and named       *'
'*                  constants for PCF and event messages.             *'
'*                                                                    *'
'*  PROCESSOR:      BASIC                                             *'
'*                                                                    *'
'**********************************************************************'
                                                                        
'**********************************************************************'
'*  Values Related to MQCFH Structure                                 *'
'**********************************************************************'
                                                                        
'Structure Length'
Global Const MQCFH_STRUC_LENGTH = 36
                                                                        
'Structure Version Number'
Global Const MQCFH_VERSION_1       = 1
Global Const MQCFH_CURRENT_VERSION = 1
                                                                        
'Command Codes'
Global Const MQCMD_CHANGE_Q_MGR            = 1
Global Const MQCMD_INQUIRE_Q_MGR           = 2
Global Const MQCMD_CHANGE_PROCESS          = 3
Global Const MQCMD_COPY_PROCESS            = 4
Global Const MQCMD_CREATE_PROCESS          = 5
Global Const MQCMD_DELETE_PROCESS          = 6
Global Const MQCMD_INQUIRE_PROCESS         = 7
Global Const MQCMD_CHANGE_Q                = 8
Global Const MQCMD_CLEAR_Q                 = 9
Global Const MQCMD_COPY_Q                  = 10
Global Const MQCMD_CREATE_Q                = 11
Global Const MQCMD_DELETE_Q                = 12
Global Const MQCMD_INQUIRE_Q               = 13
Global Const MQCMD_RESET_Q_STATS           = 17
Global Const MQCMD_INQUIRE_Q_NAMES         = 18
Global Const MQCMD_INQUIRE_PROCESS_NAMES   = 19
Global Const MQCMD_INQUIRE_CHANNEL_NAMES   = 20
Global Const MQCMD_CHANGE_CHANNEL          = 21
Global Const MQCMD_COPY_CHANNEL            = 22
Global Const MQCMD_CREATE_CHANNEL          = 23
Global Const MQCMD_DELETE_CHANNEL          = 24
Global Const MQCMD_INQUIRE_CHANNEL         = 25
Global Const MQCMD_PING_CHANNEL            = 26
Global Const MQCMD_RESET_CHANNEL           = 27
Global Const MQCMD_START_CHANNEL           = 28
Global Const MQCMD_STOP_CHANNEL            = 29
Global Const MQCMD_START_CHANNEL_INIT      = 30
Global Const MQCMD_START_CHANNEL_LISTENER  = 31
Global Const MQCMD_CHANGE_NAMELIST         = 32
Global Const MQCMD_COPY_NAMELIST           = 33
Global Const MQCMD_CREATE_NAMELIST         = 34
Global Const MQCMD_DELETE_NAMELIST         = 35
Global Const MQCMD_INQUIRE_NAMELIST        = 36
Global Const MQCMD_INQUIRE_NAMELIST_NAMES  = 37
Global Const MQCMD_ESCAPE                  = 38
Global Const MQCMD_RESOLVE_CHANNEL         = 39
Global Const MQCMD_PING_Q_MGR              = 40
Global Const MQCMD_INQUIRE_Q_STATUS        = 41
Global Const MQCMD_INQUIRE_CHANNEL_STATUS  = 42
Global Const MQCMD_CONFIG_EVENT            = 43
Global Const MQCMD_Q_MGR_EVENT             = 44
Global Const MQCMD_PERFM_EVENT             = 45
Global Const MQCMD_CHANNEL_EVENT           = 46
Global Const MQCMD_DELETE_PUBLICATION      = 60
Global Const MQCMD_DEREGISTER_PUBLISHER    = 61
Global Const MQCMD_DEREGISTER_SUBSCRIBER   = 62
Global Const MQCMD_PUBLISH                 = 63
Global Const MQCMD_REGISTER_PUBLISHER      = 64
Global Const MQCMD_REGISTER_SUBSCRIBER     = 65
Global Const MQCMD_REQUEST_UPDATE          = 66
Global Const MQCMD_BROKER_INTERNAL         = 67
Global Const MQCMD_INQUIRE_CLUSTER_Q_MGR   = 70
Global Const MQCMD_RESUME_Q_MGR_CLUSTER    = 71
Global Const MQCMD_SUSPEND_Q_MGR_CLUSTER   = 72
Global Const MQCMD_REFRESH_CLUSTER         = 73
Global Const MQCMD_RESET_CLUSTER           = 74
Global Const MQCMD_REFRESH_SECURITY        = 78
Global Const MQCMD_CHANGE_AUTH_INFO        = 79
Global Const MQCMD_COPY_AUTH_INFO          = 80
Global Const MQCMD_CREATE_AUTH_INFO        = 81
Global Const MQCMD_DELETE_AUTH_INFO        = 82
Global Const MQCMD_INQUIRE_AUTH_INFO       = 83
Global Const MQCMD_INQUIRE_AUTH_INFO_NAMES = 84
Global Const MQCMD_NONE                    = 0
                                                                        
'Control Options'
Global Const MQCFC_LAST     = 1
Global Const MQCFC_NOT_LAST = 0
                                                                        
'Reason Codes'
Global Const MQRCCF_CFH_TYPE_ERROR          = 3001
Global Const MQRCCF_CFH_LENGTH_ERROR        = 3002
Global Const MQRCCF_CFH_VERSION_ERROR       = 3003
Global Const MQRCCF_CFH_MSG_SEQ_NUMBER_ERR  = 3004
Global Const MQRCCF_CFH_CONTROL_ERROR       = 3005
Global Const MQRCCF_CFH_PARM_COUNT_ERROR    = 3006
Global Const MQRCCF_CFH_COMMAND_ERROR       = 3007
Global Const MQRCCF_COMMAND_FAILED          = 3008
Global Const MQRCCF_CFIN_LENGTH_ERROR       = 3009
Global Const MQRCCF_CFST_LENGTH_ERROR       = 3010
Global Const MQRCCF_CFST_STRING_LENGTH_ERR  = 3011
Global Const MQRCCF_FORCE_VALUE_ERROR       = 3012
Global Const MQRCCF_STRUCTURE_TYPE_ERROR    = 3013
Global Const MQRCCF_CFIN_PARM_ID_ERROR      = 3014
Global Const MQRCCF_CFST_PARM_ID_ERROR      = 3015
Global Const MQRCCF_MSG_LENGTH_ERROR        = 3016
Global Const MQRCCF_CFIN_DUPLICATE_PARM     = 3017
Global Const MQRCCF_CFST_DUPLICATE_PARM     = 3018
Global Const MQRCCF_PARM_COUNT_TOO_SMALL    = 3019
Global Const MQRCCF_PARM_COUNT_TOO_BIG      = 3020
Global Const MQRCCF_Q_ALREADY_IN_CELL       = 3021
Global Const MQRCCF_Q_TYPE_ERROR            = 3022
Global Const MQRCCF_MD_FORMAT_ERROR         = 3023
Global Const MQRCCF_CFSL_LENGTH_ERROR       = 3024
Global Const MQRCCF_REPLACE_VALUE_ERROR     = 3025
Global Const MQRCCF_CFIL_DUPLICATE_VALUE    = 3026
Global Const MQRCCF_CFIL_COUNT_ERROR        = 3027
Global Const MQRCCF_CFIL_LENGTH_ERROR       = 3028
Global Const MQRCCF_QUIESCE_VALUE_ERROR     = 3029
Global Const MQRCCF_MODE_VALUE_ERROR        = 3029
Global Const MQRCCF_MSG_SEQ_NUMBER_ERROR    = 3030
Global Const MQRCCF_PING_DATA_COUNT_ERROR   = 3031
Global Const MQRCCF_PING_DATA_COMPARE_ERROR = 3032
Global Const MQRCCF_CFSL_PARM_ID_ERROR      = 3033
Global Const MQRCCF_CHANNEL_TYPE_ERROR      = 3034
Global Const MQRCCF_PARM_SEQUENCE_ERROR     = 3035
Global Const MQRCCF_XMIT_PROTOCOL_TYPE_ERR  = 3036
Global Const MQRCCF_BATCH_SIZE_ERROR        = 3037
Global Const MQRCCF_DISC_INT_ERROR          = 3038
Global Const MQRCCF_SHORT_RETRY_ERROR       = 3039
Global Const MQRCCF_SHORT_TIMER_ERROR       = 3040
Global Const MQRCCF_LONG_RETRY_ERROR        = 3041
Global Const MQRCCF_LONG_TIMER_ERROR        = 3042
Global Const MQRCCF_SEQ_NUMBER_WRAP_ERROR   = 3043
Global Const MQRCCF_MAX_MSG_LENGTH_ERROR    = 3044
Global Const MQRCCF_PUT_AUTH_ERROR          = 3045
Global Const MQRCCF_PURGE_VALUE_ERROR       = 3046
Global Const MQRCCF_CFIL_PARM_ID_ERROR      = 3047
Global Const MQRCCF_MSG_TRUNCATED           = 3048
Global Const MQRCCF_CCSID_ERROR             = 3049
Global Const MQRCCF_ENCODING_ERROR          = 3050
Global Const MQRCCF_QUEUES_VALUE_ERROR      = 3051
Global Const MQRCCF_DATA_CONV_VALUE_ERROR   = 3052
Global Const MQRCCF_INDOUBT_VALUE_ERROR     = 3053
Global Const MQRCCF_ESCAPE_TYPE_ERROR       = 3054
Global Const MQRCCF_REPOS_VALUE_ERROR       = 3055
Global Const MQRCCF_CHANNEL_TABLE_ERROR     = 3062
Global Const MQRCCF_MCA_TYPE_ERROR          = 3063
Global Const MQRCCF_CHL_INST_TYPE_ERROR     = 3064
Global Const MQRCCF_CHL_STATUS_NOT_FOUND    = 3065
Global Const MQRCCF_CFSL_DUPLICATE_PARM     = 3066
Global Const MQRCCF_CFSL_TOTAL_LENGTH_ERROR = 3067
Global Const MQRCCF_CFSL_COUNT_ERROR        = 3068
Global Const MQRCCF_CFSL_STRING_LENGTH_ERR  = 3069
Global Const MQRCCF_BROKER_DELETED          = 3070
Global Const MQRCCF_STREAM_ERROR            = 3071
Global Const MQRCCF_TOPIC_ERROR             = 3072
Global Const MQRCCF_NOT_REGISTERED          = 3073
Global Const MQRCCF_Q_MGR_NAME_ERROR        = 3074
Global Const MQRCCF_INCORRECT_STREAM        = 3075
Global Const MQRCCF_Q_NAME_ERROR            = 3076
Global Const MQRCCF_NO_RETAINED_MSG         = 3077
Global Const MQRCCF_DUPLICATE_IDENTITY      = 3078
Global Const MQRCCF_INCORRECT_Q             = 3079
Global Const MQRCCF_CORREL_ID_ERROR         = 3080
Global Const MQRCCF_NOT_AUTHORIZED          = 3081
Global Const MQRCCF_UNKNOWN_STREAM          = 3082
Global Const MQRCCF_REG_OPTIONS_ERROR       = 3083
Global Const MQRCCF_PUB_OPTIONS_ERROR       = 3084
Global Const MQRCCF_UNKNOWN_BROKER          = 3085
Global Const MQRCCF_Q_MGR_CCSID_ERROR       = 3086
Global Const MQRCCF_DEL_OPTIONS_ERROR       = 3087
Global Const MQRCCF_CLUSTER_NAME_CONFLICT   = 3088
Global Const MQRCCF_REPOS_NAME_CONFLICT     = 3089
Global Const MQRCCF_CLUSTER_Q_USAGE_ERROR   = 3090
Global Const MQRCCF_ACTION_VALUE_ERROR      = 3091
Global Const MQRCCF_COMMS_LIBRARY_ERROR     = 3092
Global Const MQRCCF_NETBIOS_NAME_ERROR      = 3093
Global Const MQRCCF_BROKER_COMMAND_FAILED   = 3094
Global Const MQRCCF_CFST_CONFLICTING_PARM   = 3095
Global Const MQRCCF_FILTER_ERROR            = 3150
Global Const MQRCCF_WRONG_USER              = 3151
Global Const MQRCCF_DUPLICATE_SUBSCRIPTION  = 3152
Global Const MQRCCF_SUB_NAME_ERROR          = 3153
Global Const MQRCCF_SUB_IDENTITY_ERROR      = 3154
Global Const MQRCCF_SUBSCRIPTION_IN_USE     = 3155
Global Const MQRCCF_SUBSCRIPTION_LOCKED     = 3156
Global Const MQRCCF_ALREADY_JOINED          = 3157
Global Const MQRCCF_OBJECT_ALREADY_EXISTS   = 4001
Global Const MQRCCF_OBJECT_WRONG_TYPE       = 4002
Global Const MQRCCF_LIKE_OBJECT_WRONG_TYPE  = 4003
Global Const MQRCCF_OBJECT_OPEN             = 4004
Global Const MQRCCF_ATTR_VALUE_ERROR        = 4005
Global Const MQRCCF_UNKNOWN_Q_MGR           = 4006
Global Const MQRCCF_Q_WRONG_TYPE            = 4007
Global Const MQRCCF_OBJECT_NAME_ERROR       = 4008
Global Const MQRCCF_ALLOCATE_FAILED         = 4009
Global Const MQRCCF_HOST_NOT_AVAILABLE      = 4010
Global Const MQRCCF_CONFIGURATION_ERROR     = 4011
Global Const MQRCCF_CONNECTION_REFUSED      = 4012
Global Const MQRCCF_ENTRY_ERROR             = 4013
Global Const MQRCCF_SEND_FAILED             = 4014
Global Const MQRCCF_RECEIVED_DATA_ERROR     = 4015
Global Const MQRCCF_RECEIVE_FAILED          = 4016
Global Const MQRCCF_CONNECTION_CLOSED       = 4017
Global Const MQRCCF_NO_STORAGE              = 4018
Global Const MQRCCF_NO_COMMS_MANAGER        = 4019
Global Const MQRCCF_LISTENER_NOT_STARTED    = 4020
Global Const MQRCCF_BIND_FAILED             = 4024
Global Const MQRCCF_CHANNEL_INDOUBT         = 4025
Global Const MQRCCF_MQCONN_FAILED           = 4026
Global Const MQRCCF_MQOPEN_FAILED           = 4027
Global Const MQRCCF_MQGET_FAILED            = 4028
Global Const MQRCCF_MQPUT_FAILED            = 4029
Global Const MQRCCF_PING_ERROR              = 4030
Global Const MQRCCF_CHANNEL_IN_USE          = 4031
Global Const MQRCCF_CHANNEL_NOT_FOUND       = 4032
Global Const MQRCCF_UNKNOWN_REMOTE_CHANNEL  = 4033
Global Const MQRCCF_REMOTE_QM_UNAVAILABLE   = 4034
Global Const MQRCCF_REMOTE_QM_TERMINATING   = 4035
Global Const MQRCCF_MQINQ_FAILED            = 4036
Global Const MQRCCF_NOT_XMIT_Q              = 4037
Global Const MQRCCF_CHANNEL_DISABLED        = 4038
Global Const MQRCCF_USER_EXIT_NOT_AVAILABLE = 4039
Global Const MQRCCF_COMMIT_FAILED           = 4040
Global Const MQRCCF_WRONG_CHANNEL_TYPE      = 4041
Global Const MQRCCF_CHANNEL_ALREADY_EXISTS  = 4042
Global Const MQRCCF_DATA_TOO_LARGE          = 4043
Global Const MQRCCF_CHANNEL_NAME_ERROR      = 4044
Global Const MQRCCF_XMIT_Q_NAME_ERROR       = 4045
Global Const MQRCCF_MCA_NAME_ERROR          = 4047
Global Const MQRCCF_SEND_EXIT_NAME_ERROR    = 4048
Global Const MQRCCF_SEC_EXIT_NAME_ERROR     = 4049
Global Const MQRCCF_MSG_EXIT_NAME_ERROR     = 4050
Global Const MQRCCF_RCV_EXIT_NAME_ERROR     = 4051
Global Const MQRCCF_XMIT_Q_NAME_WRONG_TYPE  = 4052
Global Const MQRCCF_MCA_NAME_WRONG_TYPE     = 4053
Global Const MQRCCF_DISC_INT_WRONG_TYPE     = 4054
Global Const MQRCCF_SHORT_RETRY_WRONG_TYPE  = 4055
Global Const MQRCCF_SHORT_TIMER_WRONG_TYPE  = 4056
Global Const MQRCCF_LONG_RETRY_WRONG_TYPE   = 4057
Global Const MQRCCF_LONG_TIMER_WRONG_TYPE   = 4058
Global Const MQRCCF_PUT_AUTH_WRONG_TYPE     = 4059
Global Const MQRCCF_KEEP_ALIVE_INT_ERROR    = 4060
Global Const MQRCCF_MISSING_CONN_NAME       = 4061
Global Const MQRCCF_CONN_NAME_ERROR         = 4062
Global Const MQRCCF_MQSET_FAILED            = 4063
Global Const MQRCCF_CHANNEL_NOT_ACTIVE      = 4064
Global Const MQRCCF_TERMINATED_BY_SEC_EXIT  = 4065
Global Const MQRCCF_DYNAMIC_Q_SCOPE_ERROR   = 4067
Global Const MQRCCF_CELL_DIR_NOT_AVAILABLE  = 4068
Global Const MQRCCF_MR_COUNT_ERROR          = 4069
Global Const MQRCCF_MR_COUNT_WRONG_TYPE     = 4070
Global Const MQRCCF_MR_EXIT_NAME_ERROR      = 4071
Global Const MQRCCF_MR_EXIT_NAME_WRONG_TYPE = 4072
Global Const MQRCCF_MR_INTERVAL_ERROR       = 4073
Global Const MQRCCF_MR_INTERVAL_WRONG_TYPE  = 4074
Global Const MQRCCF_NPM_SPEED_ERROR         = 4075
Global Const MQRCCF_NPM_SPEED_WRONG_TYPE    = 4076
Global Const MQRCCF_HB_INTERVAL_ERROR       = 4077
Global Const MQRCCF_HB_INTERVAL_WRONG_TYPE  = 4078
Global Const MQRCCF_CHAD_ERROR              = 4079
Global Const MQRCCF_CHAD_WRONG_TYPE         = 4080
Global Const MQRCCF_CHAD_EVENT_ERROR        = 4081
Global Const MQRCCF_CHAD_EVENT_WRONG_TYPE   = 4082
Global Const MQRCCF_CHAD_EXIT_ERROR         = 4083
Global Const MQRCCF_CHAD_EXIT_WRONG_TYPE    = 4084
Global Const MQRCCF_SUPPRESSED_BY_EXIT      = 4085
Global Const MQRCCF_BATCH_INT_ERROR         = 4086
Global Const MQRCCF_BATCH_INT_WRONG_TYPE    = 4087
Global Const MQRCCF_NET_PRIORITY_ERROR      = 4088
Global Const MQRCCF_NET_PRIORITY_WRONG_TYPE = 4089
Global Const MQRCCF_CHANNEL_CLOSED          = 4090
Global Const MQRCCF_Q_STATUS_NOT_FOUND      = 4091
Global Const MQRCCF_SSL_CIPHER_SPEC_ERROR   = 4092
Global Const MQRCCF_SSL_PEER_NAME_ERROR     = 4093
Global Const MQRCCF_SSL_CLIENT_AUTH_ERROR   = 4094
                                                                        
                                                                        
'**********************************************************************'
'*  Values Related to MQCFBS Structure                                *'
'**********************************************************************'
                                                                        
'Structure Length (Fixed Part)'
Global Const MQCFBS_STRUC_LENGTH_FIXED = 16
                                                                        
                                                                        
'**********************************************************************'
'*  Values Related to MQCFIL Structure                                *'
'**********************************************************************'
                                                                        
'Structure Length (Fixed Part)'
Global Const MQCFIL_STRUC_LENGTH_FIXED = 16
                                                                        
                                                                        
'**********************************************************************'
'*  Values Related to MQCFIN Structure                                *'
'**********************************************************************'
                                                                        
'Structure Length'
Global Const MQCFIN_STRUC_LENGTH = 16
                                                                        
                                                                        
'**********************************************************************'
'*  Values Related to MQCFSL Structure                                *'
'**********************************************************************'
                                                                        
'Structure Length (Fixed Part)'
Global Const MQCFSL_STRUC_LENGTH_FIXED = 24
                                                                        
                                                                        
'**********************************************************************'
'*  Values Related to MQCFST Structure                                *'
'**********************************************************************'
                                                                        
'Structure Length (Fixed Part)'
Global Const MQCFST_STRUC_LENGTH_FIXED = 20
                                                                        
                                                                        
'**********************************************************************'
'*  Values Related to All Structures                                  *'
'**********************************************************************'
                                                                        
'Structure Type'
Global Const MQCFT_COMMAND      = 1
Global Const MQCFT_RESPONSE     = 2
Global Const MQCFT_INTEGER      = 3
Global Const MQCFT_STRING       = 4
Global Const MQCFT_INTEGER_LIST = 5
Global Const MQCFT_STRING_LIST  = 6
Global Const MQCFT_EVENT        = 7
Global Const MQCFT_USER         = 8
Global Const MQCFT_BYTE_STRING  = 9
                                                                        
                                                                        
'**********************************************************************'
'*  Values Related to Byte Parameter Structures                       *'
'**********************************************************************'
                                                                        
'Byte Parameter Types'
Global Const MQBACF_FIRST                  = 7001
Global Const MQBACF_EVENT_ACCOUNTING_TOKEN = 7001
Global Const MQBACF_EVENT_SECURITY_ID      = 7002
Global Const MQBACF_LAST_USED              = 7002
                                                                        
                                                                        
'**********************************************************************'
'*  Values Related to Integer Parameter Structures                    *'
'**********************************************************************'
                                                                        
'Integer Parameter Types'
Global Const MQIACF_FIRST                 = 1001
Global Const MQIACF_Q_MGR_ATTRS           = 1001
Global Const MQIACF_Q_ATTRS               = 1002
Global Const MQIACF_PROCESS_ATTRS         = 1003
Global Const MQIACF_NAMELIST_ATTRS        = 1004
Global Const MQIACF_FORCE                 = 1005
Global Const MQIACF_REPLACE               = 1006
Global Const MQIACF_PURGE                 = 1007
Global Const MQIACF_QUIESCE               = 1008
Global Const MQIACF_MODE                  = 1008
Global Const MQIACF_ALL                   = 1009
Global Const MQIACF_EVENT_APPL_TYPE       = 1010
Global Const MQIACF_EVENT_ORIGIN          = 1011
Global Const MQIACF_PARAMETER_ID          = 1012
Global Const MQIACF_ERROR_ID              = 1013
Global Const MQIACF_ERROR_IDENTIFIER      = 1013
Global Const MQIACF_SELECTOR              = 1014
Global Const MQIACF_CHANNEL_ATTRS         = 1015
Global Const MQIACF_OBJECT_TYPE           = 1016
Global Const MQIACF_ESCAPE_TYPE           = 1017
Global Const MQIACF_ERROR_OFFSET          = 1018
Global Const MQIACF_AUTH_INFO_ATTRS       = 1019
Global Const MQIACF_REASON_QUALIFIER      = 1020
Global Const MQIACF_COMMAND               = 1021
Global Const MQIACF_OPEN_OPTIONS          = 1022
Global Const MQIACF_OPEN_TYPE             = 1023
Global Const MQIACF_PROCESS_ID            = 1024
Global Const MQIACF_THREAD_ID             = 1025
Global Const MQIACF_Q_STATUS_ATTRS        = 1026
Global Const MQIACF_UNCOMMITTED_MSGS      = 1027
Global Const MQIACF_AUX_ERROR_DATA_INT_1  = 1070
Global Const MQIACF_AUX_ERROR_DATA_INT_2  = 1071
Global Const MQIACF_CONV_REASON_CODE      = 1072
Global Const MQIACF_BRIDGE_TYPE           = 1073
Global Const MQIACF_INQUIRY               = 1074
Global Const MQIACF_WAIT_INTERVAL         = 1075
Global Const MQIACF_OPTIONS               = 1076
Global Const MQIACF_BROKER_OPTIONS        = 1077
Global Const MQIACF_SEQUENCE_NUMBER       = 1079
Global Const MQIACF_INTEGER_DATA          = 1080
Global Const MQIACF_REGISTRATION_OPTIONS  = 1081
Global Const MQIACF_PUBLICATION_OPTIONS   = 1082
Global Const MQIACF_CLUSTER_INFO          = 1083
Global Const MQIACF_Q_MGR_DEFINITION_TYPE = 1084
Global Const MQIACF_Q_MGR_TYPE            = 1085
Global Const MQIACF_ACTION                = 1086
Global Const MQIACF_SUSPEND               = 1087
Global Const MQIACF_BROKER_COUNT          = 1088
Global Const MQIACF_APPL_COUNT            = 1089
Global Const MQIACF_ANONYMOUS_COUNT       = 1090
Global Const MQIACF_REG_REG_OPTIONS       = 1091
Global Const MQIACF_DELETE_OPTIONS        = 1092
Global Const MQIACF_CLUSTER_Q_MGR_ATTRS   = 1093
Global Const MQIACF_REFRESH_REPOSITORY    = 1095
Global Const MQIACF_REMOVE_QUEUES         = 1096
Global Const MQIACF_OPEN_INPUT_TYPE       = 1098
Global Const MQIACF_OPEN_OUTPUT           = 1099
Global Const MQIACF_OPEN_SET              = 1100
Global Const MQIACF_OPEN_INQUIRE          = 1101
Global Const MQIACF_OPEN_BROWSE           = 1102
Global Const MQIACF_Q_STATUS_TYPE         = 1103
Global Const MQIACF_Q_HANDLE              = 1104
Global Const MQIACF_Q_STATUS              = 1105
Global Const MQIACF_LAST_USED             = 1105
                                                                        
Global Const MQIACH_FIRST                   = 1501
Global Const MQIACH_XMIT_PROTOCOL_TYPE      = 1501
Global Const MQIACH_BATCH_SIZE              = 1502
Global Const MQIACH_DISC_INTERVAL           = 1503
Global Const MQIACH_SHORT_TIMER             = 1504
Global Const MQIACH_SHORT_RETRY             = 1505
Global Const MQIACH_LONG_TIMER              = 1506
Global Const MQIACH_LONG_RETRY              = 1507
Global Const MQIACH_PUT_AUTHORITY           = 1508
Global Const MQIACH_SEQUENCE_NUMBER_WRAP    = 1509
Global Const MQIACH_MAX_MSG_LENGTH          = 1510
Global Const MQIACH_CHANNEL_TYPE            = 1511
Global Const MQIACH_DATA_COUNT              = 1512
Global Const MQIACH_MSG_SEQUENCE_NUMBER     = 1514
Global Const MQIACH_DATA_CONVERSION         = 1515
Global Const MQIACH_IN_DOUBT                = 1516
Global Const MQIACH_MCA_TYPE                = 1517
Global Const MQIACH_CHANNEL_INSTANCE_TYPE   = 1523
Global Const MQIACH_CHANNEL_INSTANCE_ATTRS  = 1524
Global Const MQIACH_CHANNEL_ERROR_DATA      = 1525
Global Const MQIACH_CHANNEL_TABLE           = 1526
Global Const MQIACH_CHANNEL_STATUS          = 1527
Global Const MQIACH_INDOUBT_STATUS          = 1528
Global Const MQIACH_LAST_SEQ_NUMBER         = 1529
Global Const MQIACH_LAST_SEQUENCE_NUMBER    = 1529
Global Const MQIACH_CURRENT_MSGS            = 1531
Global Const MQIACH_CURRENT_SEQ_NUMBER      = 1532
Global Const MQIACH_CURRENT_SEQUENCE_NUMBER = 1532
Global Const MQIACH_SSL_RETURN_CODE         = 1533
Global Const MQIACH_MSGS                    = 1534
Global Const MQIACH_BYTES_SENT              = 1535
Global Const MQIACH_BYTES_RCVD              = 1536
Global Const MQIACH_BYTES_RECEIVED          = 1536
Global Const MQIACH_BATCHES                 = 1537
Global Const MQIACH_BUFFERS_SENT            = 1538
Global Const MQIACH_BUFFERS_RCVD            = 1539
Global Const MQIACH_BUFFERS_RECEIVED        = 1539
Global Const MQIACH_LONG_RETRIES_LEFT       = 1540
Global Const MQIACH_SHORT_RETRIES_LEFT      = 1541
Global Const MQIACH_MCA_STATUS              = 1542
Global Const MQIACH_STOP_REQUESTED          = 1543
Global Const MQIACH_MR_COUNT                = 1544
Global Const MQIACH_MR_INTERVAL             = 1545
Global Const MQIACH_NPM_SPEED               = 1562
Global Const MQIACH_HB_INTERVAL             = 1563
Global Const MQIACH_BATCH_INTERVAL          = 1564
Global Const MQIACH_NETWORK_PRIORITY        = 1565
Global Const MQIACH_KEEP_ALIVE_INTERVAL     = 1566
Global Const MQIACH_BATCH_HB                = 1567
Global Const MQIACH_SSL_CLIENT_AUTH         = 1568
Global Const MQIACH_LAST_USED               = 1568
                                                                        
                                                                        
'**********************************************************************'
'*  Values Related to Character Parameter Structures                  *'
'**********************************************************************'
                                                                        
'Character Parameter Types'
Global Const MQCACF_FIRST                   = 3001
Global Const MQCACF_FROM_Q_NAME             = 3001
Global Const MQCACF_TO_Q_NAME               = 3002
Global Const MQCACF_FROM_PROCESS_NAME       = 3003
Global Const MQCACF_TO_PROCESS_NAME         = 3004
Global Const MQCACF_FROM_NAMELIST_NAME      = 3005
Global Const MQCACF_TO_NAMELIST_NAME        = 3006
Global Const MQCACF_FROM_CHANNEL_NAME       = 3007
Global Const MQCACF_TO_CHANNEL_NAME         = 3008
Global Const MQCACF_FROM_AUTH_INFO_NAME     = 3009
Global Const MQCACF_TO_AUTH_INFO_NAME       = 3010
Global Const MQCACF_Q_NAMES                 = 3011
Global Const MQCACF_PROCESS_NAMES           = 3012
Global Const MQCACF_NAMELIST_NAMES          = 3013
Global Const MQCACF_ESCAPE_TEXT             = 3014
Global Const MQCACF_LOCAL_Q_NAMES           = 3015
Global Const MQCACF_MODEL_Q_NAMES           = 3016
Global Const MQCACF_ALIAS_Q_NAMES           = 3017
Global Const MQCACF_REMOTE_Q_NAMES          = 3018
Global Const MQCACF_SENDER_CHANNEL_NAMES    = 3019
Global Const MQCACF_SERVER_CHANNEL_NAMES    = 3020
Global Const MQCACF_REQUESTER_CHANNEL_NAMES = 3021
Global Const MQCACF_RECEIVER_CHANNEL_NAMES  = 3022
Global Const MQCACF_OBJECT_Q_MGR_NAME       = 3023
Global Const MQCACF_APPL_NAME               = 3024
Global Const MQCACF_USER_IDENTIFIER         = 3025
Global Const MQCACF_AUX_ERROR_DATA_STR_1    = 3026
Global Const MQCACF_AUX_ERROR_DATA_STR_2    = 3027
Global Const MQCACF_AUX_ERROR_DATA_STR_3    = 3028
Global Const MQCACF_BRIDGE_NAME             = 3029
Global Const MQCACF_STREAM_NAME             = 3030
Global Const MQCACF_TOPIC                   = 3031
Global Const MQCACF_PARENT_Q_MGR_NAME       = 3032
Global Const MQCACF_CORREL_ID               = 3033
Global Const MQCACF_PUBLISH_TIMESTAMP       = 3034
Global Const MQCACF_STRING_DATA             = 3035
Global Const MQCACF_SUPPORTED_STREAM_NAME   = 3036
Global Const MQCACF_REG_TOPIC               = 3037
Global Const MQCACF_REG_TIME                = 3038
Global Const MQCACF_REG_USER_ID             = 3039
Global Const MQCACF_CHILD_Q_MGR_NAME        = 3040
Global Const MQCACF_REG_STREAM_NAME         = 3041
Global Const MQCACF_REG_Q_MGR_NAME          = 3042
Global Const MQCACF_REG_Q_NAME              = 3043
Global Const MQCACF_REG_CORREL_ID           = 3044
Global Const MQCACF_EVENT_USER_ID           = 3045
Global Const MQCACF_EVENT_Q_MGR             = 3047
Global Const MQCACF_AUTH_INFO_NAMES         = 3048
Global Const MQCACF_EVENT_APPL_IDENTITY     = 3049
Global Const MQCACF_EVENT_APPL_NAME         = 3050
Global Const MQCACF_EVENT_APPL_ORIGIN       = 3051
Global Const MQCACF_SUBSCRIPTION_NAME       = 3052
Global Const MQCACF_REG_SUB_NAME            = 3053
Global Const MQCACF_SUBSCRIPTION_IDENTITY   = 3054
Global Const MQCACF_REG_SUB_IDENTITY        = 3055
Global Const MQCACF_SUBSCRIPTION_USER_DATA  = 3056
Global Const MQCACF_REG_SUB_USER_DATA       = 3057
Global Const MQCACF_APPL_TAG                = 3058
Global Const MQCACF_LAST_USED               = 3058
                                                                        
Global Const MQCACH_FIRST               = 3501
Global Const MQCACH_CHANNEL_NAME        = 3501
Global Const MQCACH_DESC                = 3502
Global Const MQCACH_MODE_NAME           = 3503
Global Const MQCACH_TP_NAME             = 3504
Global Const MQCACH_XMIT_Q_NAME         = 3505
Global Const MQCACH_CONNECTION_NAME     = 3506
Global Const MQCACH_MCA_NAME            = 3507
Global Const MQCACH_SEC_EXIT_NAME       = 3508
Global Const MQCACH_MSG_EXIT_NAME       = 3509
Global Const MQCACH_SEND_EXIT_NAME      = 3510
Global Const MQCACH_RCV_EXIT_NAME       = 3511
Global Const MQCACH_CHANNEL_NAMES       = 3512
Global Const MQCACH_SEC_EXIT_USER_DATA  = 3513
Global Const MQCACH_MSG_EXIT_USER_DATA  = 3514
Global Const MQCACH_SEND_EXIT_USER_DATA = 3515
Global Const MQCACH_RCV_EXIT_USER_DATA  = 3516
Global Const MQCACH_USER_ID             = 3517
Global Const MQCACH_PASSWORD            = 3518
Global Const MQCACH_LOCAL_ADDRESS       = 3520
Global Const MQCACH_LAST_MSG_TIME       = 3524
Global Const MQCACH_LAST_MSG_DATE       = 3525
Global Const MQCACH_MCA_USER_ID         = 3527
Global Const MQCACH_CHANNEL_START_TIME  = 3528
Global Const MQCACH_CHANNEL_START_DATE  = 3529
Global Const MQCACH_MCA_JOB_NAME        = 3530
Global Const MQCACH_LAST_LUWID          = 3531
Global Const MQCACH_CURRENT_LUWID       = 3532
Global Const MQCACH_FORMAT_NAME         = 3533
Global Const MQCACH_MR_EXIT_NAME        = 3534
Global Const MQCACH_MR_EXIT_USER_DATA   = 3535
Global Const MQCACH_SSL_CIPHER_SPEC     = 3544
Global Const MQCACH_SSL_PEER_NAME       = 3545
Global Const MQCACH_SSL_HANDSHAKE_STAGE = 3546
Global Const MQCACH_SSL_SHORT_PEER_NAME = 3547
Global Const MQCACH_LAST_USED           = 3547
                                                                        
                                                                        
'**********************************************************************'
'*  Parameter Values                                                  *'
'**********************************************************************'
                                                                        
'Action Option'
Global Const MQACT_FORCE_REMOVE = 1
                                                                        
'Bridge Type'
Global Const MQBT_OTMA = 1
                                                                        
'Refresh Repository Option'
Global Const MQCFO_REFRESH_REPOSITORY_YES = 1
Global Const MQCFO_REFRESH_REPOSITORY_NO  = 0
                                                                        
'Remove Queues Option'
Global Const MQCFO_REMOVE_QUEUES_YES = 1
Global Const MQCFO_REMOVE_QUEUES_NO  = 0
                                                                        
'Indoubt Status'
Global Const MQCHIDS_NOT_INDOUBT = 0
Global Const MQCHIDS_INDOUBT     = 1
                                                                        
'Channel Status'
Global Const MQCHS_INACTIVE     = 0
Global Const MQCHS_BINDING      = 1
Global Const MQCHS_STARTING     = 2
Global Const MQCHS_RUNNING      = 3
Global Const MQCHS_STOPPING     = 4
Global Const MQCHS_RETRYING     = 5
Global Const MQCHS_STOPPED      = 6
Global Const MQCHS_REQUESTING   = 7
Global Const MQCHS_PAUSED       = 8
Global Const MQCHS_INITIALIZING = 13
                                                                        
'Channel Stop Option'
Global Const MQCHSR_STOP_NOT_REQUESTED = 0
Global Const MQCHSR_STOP_REQUESTED     = 1
                                                                        
'Channel Table Type'
Global Const MQCHTAB_Q_MGR    = 1
Global Const MQCHTAB_CLNTCONN = 2
                                                                        
'Coupling Facility Recoverability'
Global Const MQCFR_YES = 1
Global Const MQCFR_NO  = 0
                                                                        
'Escape Type'
Global Const MQET_MQSC = 1
                                                                        
'Event Origin'
Global Const MQEVO_OTHER    = 0
Global Const MQEVO_CONSOLE  = 1
Global Const MQEVO_INIT     = 2
Global Const MQEVO_MSG      = 3
Global Const MQEVO_MQSET    = 4
Global Const MQEVO_INTERNAL = 5
                                                                        
'Event Recording'
Global Const MQEVR_DISABLED = 0
Global Const MQEVR_ENABLED  = 1
                                                                        
'Force Option'
Global Const MQFC_YES = 1
Global Const MQFC_NO  = 0
                                                                        
'Indoubt Option'
Global Const MQIDO_COMMIT  = 1
Global Const MQIDO_BACKOUT = 2
                                                                        
'Message Channel Agent Status'
Global Const MQMCAS_STOPPED = 0
Global Const MQMCAS_RUNNING = 3
                                                                        
'Mode Option'
Global Const MQMODE_FORCE     = 0
Global Const MQMODE_QUIESCE   = 1
Global Const MQMODE_TERMINATE = 2
                                                                        
'Purge Option'
Global Const MQPO_YES = 1
Global Const MQPO_NO  = 0
                                                                        
'Queue Manager Definition Type'
Global Const MQQMDT_EXPLICIT_CLUSTER_SENDER = 1
Global Const MQQMDT_AUTO_CLUSTER_SENDER     = 2
Global Const MQQMDT_AUTO_EXP_CLUSTER_SENDER = 4
Global Const MQQMDT_CLUSTER_RECEIVER        = 3
                                                                        
'Queue Manager Type'
Global Const MQQMT_NORMAL     = 0
Global Const MQQMT_REPOSITORY = 1
                                                                        
'Quiesce Option'
Global Const MQQO_YES = 1
Global Const MQQO_NO  = 0
                                                                        
'Queue Service-Interval Events'
Global Const MQQSIE_NONE = 0
Global Const MQQSIE_HIGH = 1
Global Const MQQSIE_OK   = 2
                                                                        
'Queue Status Open Type'
Global Const MQQSOT_ALL    = 1
Global Const MQQSOT_INPUT  = 2
Global Const MQQSOT_OUTPUT = 3

'Queue Status Open Option'
Global Const MQQSO_NO         = 0
Global Const MQQSO_YES        = 1
Global Const MQQSO_SHARED     = 1
Global Const MQQSO_EXCLUSIVE  = 2
                                                                        
'Queue Status Uncommitted Messages'
Global Const MQQSUM_YES = 1
Global Const MQQSUM_NO  = 0
                                                                        
'Replace Option'
Global Const MQRP_YES = 1
Global Const MQRP_NO  = 0
                                                                        
'Reason Qualifiers'
Global Const MQRQ_CONN_NOT_AUTHORIZED      = 1
Global Const MQRQ_OPEN_NOT_AUTHORIZED      = 2
Global Const MQRQ_CLOSE_NOT_AUTHORIZED     = 3
Global Const MQRQ_CMD_NOT_AUTHORIZED       = 4
Global Const MQRQ_Q_MGR_STOPPING           = 5
Global Const MQRQ_Q_MGR_QUIESCING          = 6
Global Const MQRQ_CHANNEL_STOPPED_OK       = 7
Global Const MQRQ_CHANNEL_STOPPED_ERROR    = 8
Global Const MQRQ_CHANNEL_STOPPED_RETRY    = 9
Global Const MQRQ_CHANNEL_STOPPED_DISABLED = 10
Global Const MQRQ_BRIDGE_STOPPED_OK        = 11
Global Const MQRQ_BRIDGE_STOPPED_ERROR     = 12
Global Const MQRQ_SSL_HANDSHAKE_ERROR      = 13
Global Const MQRQ_SSL_CIPHER_SPEC_ERROR    = 14
Global Const MQRQ_SSL_CLIENT_AUTH_ERROR    = 15
Global Const MQRQ_SSL_PEER_NAME_ERROR      = 16
                                                                        
'Queue Definition Scope'
Global Const MQSCO_Q_MGR = 1
Global Const MQSCO_CELL  = 2
                                                                        
'Suspend Status'
Global Const MQSUS_YES = 1
Global Const MQSUS_NO  = 0
                                                                        
                                                                        
'**********************************************************************'
'*  Values Related to Publish/Subscribe                               *'
'**********************************************************************'
                                                                        
'Delete Options'
Global Const MQDELO_NONE  = &H00000000
Global Const MQDELO_LOCAL = &H00000004
                                                                        
'Publication Options'
Global Const MQPUBO_NONE                    = &H00000000
Global Const MQPUBO_CORREL_ID_AS_IDENTITY   = &H00000001
Global Const MQPUBO_RETAIN_PUBLICATION      = &H00000002
Global Const MQPUBO_OTHER_SUBSCRIBERS_ONLY  = &H00000004
Global Const MQPUBO_NO_REGISTRATION         = &H00000008
Global Const MQPUBO_IS_RETAINED_PUBLICATION = &H00000010
                                                                        
'Registration Options'
Global Const MQREGO_NONE                    = &H00000000
Global Const MQREGO_CORREL_ID_AS_IDENTITY   = &H00000001
Global Const MQREGO_ANONYMOUS               = &H00000002
Global Const MQREGO_LOCAL                   = &H00000004
Global Const MQREGO_DIRECT_REQUESTS         = &H00000008
Global Const MQREGO_NEW_PUBLICATIONS_ONLY   = &H00000010
Global Const MQREGO_PUBLISH_ON_REQUEST_ONLY = &H00000020
Global Const MQREGO_DEREGISTER_ALL          = &H00000040
Global Const MQREGO_INCLUDE_STREAM_NAME     = &H00000080
Global Const MQREGO_INFORM_IF_RETAINED      = &H00000100
Global Const MQREGO_DUPLICATES_OK           = &H00000200
Global Const MQREGO_NON_PERSISTENT          = &H00000400
Global Const MQREGO_PERSISTENT              = &H00000800
Global Const MQREGO_PERSISTENT_AS_PUBLISH   = &H00001000
Global Const MQREGO_PERSISTENT_AS_Q         = &H00002000
Global Const MQREGO_ADD_NAME                = &H00004000
Global Const MQREGO_NO_ALTERATION           = &H00008000
Global Const MQREGO_FULL_RESPONSE           = &H00010000
Global Const MQREGO_JOIN_SHARED             = &H00020000
Global Const MQREGO_JOIN_EXCLUSIVE          = &H00040000
Global Const MQREGO_LEAVE_ONLY              = &H00080000
Global Const MQREGO_VARIABLE_USER_ID        = &H00100000
Global Const MQREGO_LOCKED                  = &H00200000
                                                                        
'User Attribute Selectors'
Global Const MQUA_FIRST = 65536
Global Const MQUA_LAST  = 999999999
                                                                        
                                                                        
'**********************************************************************'
'*  MQCFH Structure -- PCF Header                                     *'
'**********************************************************************'
                                                                        
Type MQCFH
  Type           As Long 'Structure type'
  StrucLength    As Long 'Structure length'
  Version        As Long 'Structure version number'
  Command        As Long 'Command identifier'
  MsgSeqNumber   As Long 'Message sequence number'
  Control        As Long 'Control options'
  CompCode       As Long 'Completion code'
  Reason         As Long 'Reason code qualifying completion code'
  ParameterCount As Long 'Count of parameter structures'
End Type
 
'Default Instance of MQCFH Structure'
Global MQCFH_DEFAULT As MQCFH
                                                                        
                                                                        
'**********************************************************************'
'*  MQCFBS Structure -- PCF Byte String Parameter                     *'
'**********************************************************************'
                                                                        
Type MQCFBS
  Type         As Long 'Structure type'
  StrucLength  As Long 'Structure length'
  Parameter    As Long 'Parameter identifier'
  StringLength As Long 'Length of string'
End Type
 
'Default Instance of MQCFBS Structure'
Global MQCFBS_DEFAULT As MQCFBS
                                                                        
                                                                        
'**********************************************************************'
'*  MQCFIL Structure -- PCF Integer-List Parameter                    *'
'**********************************************************************'
                                                                        
Type MQCFIL
  Type        As Long 'Structure type'
  StrucLength As Long 'Structure length'
  Parameter   As Long 'Parameter identifier'
  Count       As Long 'Count of parameter values'
End Type
 
'Default Instance of MQCFIL Structure'
Global MQCFIL_DEFAULT As MQCFIL
                                                                        
                                                                        
'**********************************************************************'
'*  MQCFIN Structure -- PCF Integer Parameter                         *'
'**********************************************************************'
                                                                        
Type MQCFIN
  Type        As Long 'Structure type'
  StrucLength As Long 'Structure length'
  Parameter   As Long 'Parameter identifier'
  Value       As Long 'Parameter value'
End Type
 
'Default Instance of MQCFIN Structure'
Global MQCFIN_DEFAULT As MQCFIN
                                                                        
                                                                        
'**********************************************************************'
'*  MQCFSL Structure -- PCF String-List Parameter                     *'
'**********************************************************************'
                                                                        
Type MQCFSL
  Type           As Long 'Structure type'
  StrucLength    As Long 'Structure length'
  Parameter      As Long 'Parameter identifier'
  CodedCharSetId As Long 'Coded character set identifier'
  Count          As Long 'Count of parameter values'
  StringLength   As Long 'Length of one string'
End Type
 
'Default Instance of MQCFSL Structure'
Global MQCFSL_DEFAULT As MQCFSL
                                                                        
                                                                        
'**********************************************************************'
'*  MQCFST Structure -- PCF String Parameter                          *'
'**********************************************************************'
                                                                        
Type MQCFST
  Type           As Long 'Structure type'
  StrucLength    As Long 'Structure length'
  Parameter      As Long 'Parameter identifier'
  CodedCharSetId As Long 'Coded character set identifier'
  StringLength   As Long 'Length of string'
End Type
 
'Default Instance of MQCFST Structure'
Global MQCFST_DEFAULT As MQCFST
                                                                        
                                                                        
'**********************************************************************'
'*  Subroutines to Set Structures to Default Values                   *'
'**********************************************************************'
                                                                        
Sub MQCFH_DEFAULTS (Struc As MQCFH)
  Struc.Type           = MQCFT_COMMAND
  Struc.StrucLength    = MQCFH_STRUC_LENGTH
  Struc.Version        = MQCFH_VERSION_1
  Struc.Command        = MQCMD_NONE
  Struc.MsgSeqNumber   = 1
  Struc.Control        = MQCFC_LAST
  Struc.CompCode       = MQCC_OK
  Struc.Reason         = MQRC_NONE
  Struc.ParameterCount = 0
End Sub
 
Sub MQCFBS_DEFAULTS (Struc As MQCFBS)
  Struc.Type         = MQCFT_BYTE_STRING
  Struc.StrucLength  = MQCFBS_STRUC_LENGTH_FIXED
  Struc.Parameter    = 0
  Struc.StringLength = 0
End Sub
 
Sub MQCFIL_DEFAULTS (Struc As MQCFIL)
  Struc.Type        = MQCFT_INTEGER_LIST
  Struc.StrucLength = MQCFIL_STRUC_LENGTH_FIXED
  Struc.Parameter   = 0
  Struc.Count       = 0
End Sub
 
Sub MQCFIN_DEFAULTS (Struc As MQCFIN)
  Struc.Type        = MQCFT_INTEGER
  Struc.StrucLength = MQCFIN_STRUC_LENGTH
  Struc.Parameter   = 0
  Struc.Value       = 0
End Sub
 
Sub MQCFSL_DEFAULTS (Struc As MQCFSL)
  Struc.Type           = MQCFT_STRING_LIST
  Struc.StrucLength    = MQCFSL_STRUC_LENGTH_FIXED
  Struc.Parameter      = 0
  Struc.CodedCharSetId = MQCCSI_DEFAULT
  Struc.Count          = 0
  Struc.StringLength   = 0
End Sub
 
Sub MQCFST_DEFAULTS (Struc As MQCFST)
  Struc.Type           = MQCFT_STRING
  Struc.StrucLength    = MQCFST_STRUC_LENGTH_FIXED
  Struc.Parameter      = 0
  Struc.CodedCharSetId = MQCCSI_DEFAULT
  Struc.StringLength   = 0
End Sub
 
                                                                        
'**********************************************************************'
'*  MQCF_DEFAULTS Subroutine -- Set Defaults                          *'
'**********************************************************************'
                                                                        
Sub MQCF_DEFAULTS ()
  'Set default structures'
  MQCFH_DEFAULTS MQCFH_DEFAULT
  MQCFBS_DEFAULTS MQCFBS_DEFAULT
  MQCFIL_DEFAULTS MQCFIL_DEFAULT
  MQCFIN_DEFAULTS MQCFIN_DEFAULT
  MQCFSL_DEFAULTS MQCFSL_DEFAULT
  MQCFST_DEFAULTS MQCFST_DEFAULT
End Sub
                                                                        
                                                                        
'**********************************************************************'
'*  End of CMQCFB                                                     *'
'**********************************************************************'
