@echo off
rem -----------------------------------------------------------------
rem  IBM Websphere MQ Support for Java Message Service
rem  IBM Websphere MQ JMS Postcard Execution Script for Windows
rem
rem  Licensed Materials - Property of IBM
rem
rem  5648-C60 5724-B4 5655-F10
rem
rem  (c) Copyright IBM Corp. 2002. All Rights Reserved.
rem
rem  US Government Users Restricted Rights - Use, duplication or
rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ------------------------------------------------------------------

title JMS Postcard
java -cp "%CLASSPATH%;%MQ_JAVA_INSTALL_PATH%\lib\postcard.jar" -DMQJMS_INSTALL="%MQ_JAVA_INSTALL_PATH%" -DMQJMS_TRACE_DIR="%MQ_JAVA_DATA_PATH%"\errors com.ibm.mq.jms.postcard.JmsPcManager
if errorlevel 9009 goto no_java
if errorlevel 203 goto bindings_only
if errorlevel 202 goto java_execution
if errorlevel 201 goto invalid_runtime_level
if errorlevel 200 goto run_ok
if errorlevel 1 goto jre_code

:run_ok
if not "%1"=="FirstSteps" goto end
exit 0

:bindings_only
echo JMS Postcard application does not run in client mode
if not "%1"=="FirstSteps" goto end
pause
exit 203

:invalid_runtime_level
echo Java Virtual is not at a sufficiently high level
if not "%1"=="FirstSteps" goto end
pause
exit 1

:java_execution
echo Failure when running in Java virtual machine
if not "%1"=="FirstSteps" goto end
pause
exit 2

:jre_code
echo The Java virtual machine has returned 1
if not "%1"=="FirstSteps" goto end
pause
exit 1

:no_java
echo No Java virtual machine has been found
if not "%1"=="FirstSteps" goto end
pause
exit 9009

:end
